<?xml version="1.0" encoding="utf-8"?>
<openerp>
    <data>

        <record id="feosco_key_form" model="ir.ui.view">
            <field name="name">feosco.key.form</field>
            <field name="model">feosco.key</field>
            <field name="type">form</field>
            <field name="arch" type="xml">
                <form string="Register">

                    <group>
                        <field name="name"/>
                        <field name="account_num"/>
                        <field name="mail"/>
                        <field name="phone"/>
                        <field name="contact"/>
                        <field name="website" widget="url"/>
                        <field name="sequence"/>
                    </group>
                    <group colspan="4" col="8">
                        <field name="state" readonly="True" colspan="2"/>
                        <button name="restful_register_key" states="not_register" string="Đăng ký" type="object" icon="terp-camera_test"/>
                        <button name="restful_re_register" states="not_register" string="Tái kích hoạt" type="object" icon="terp-camera_test" help=""/>
                        <button name="restful_get_version" states="register" string="Kích hoạt dịch vụ" type="object" icon="terp-camera_test"/>
                    </group>
                </form>
            </field>
        </record>

        <record id="feosco_key_tree" model="ir.ui.view">
            <field name="name">feosco.key.tree</field>
            <field name="model">feosco.key</field>
            <field name="type">tree</field>
            <field name="arch" type="xml">
                <tree string="Register">
                    <field name="sequence"/>
                    <field name="name"/>
                    <field name="account_num"/>
                    <field name="mail"/>
                    <field name="phone"/>
                    <field name="contact"/>
                    <field name="website"/>
                    <field name="state" readonly="True"/>
                </tree>
            </field>
        </record>

        <record id="feosco_key_act" model="ir.actions.act_window">
            <field name="name">Đăng ký</field>
            <field name="res_model">feosco.key</field>
            <field name="view_type">form</field>
        </record>


        <menuitem id="menu_feosco_key_act"
                  parent="feosco_account_asset.menu_register_key"
                  action="feosco_key_act"
                  sequence="1"/>


    </data>
</openerp>
